<!DOCTYPE html>
<html lang="pt-BR">

<head>
	<meta charset="UTF-8" />
	<link rel="icon" type="image/svg+xml" href="{{ url_for ('bikesp.static', filename='favicon/favicon.ico')}}" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<title>Admin Bike SP</title>
	<style>
		@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');
		font-family: "Inter";
	</style>

	<!-- Global CSS reset and styles -->
	<link rel="stylesheet" href="{{url_for('bikesp.static', filename='reset.css')}}">
	<link rel="stylesheet" href="{{url_for('bikesp.static', filename='base.css')}}">
	
	<!-- CSS do leaflet para renderizar os mapas -->
	<link rel="stylesheet" href="https://unpkg.com/leaflet/dist/leaflet.css" />

	<!-- HTMX -->
	<script src="{{ url_for ('bikesp.static', filename='htmx.min.js')}}"></script>
	<script src="{{ url_for ('bikesp.static', filename='response-targets.js')}}"></script>

	<style>
		#error-fallback:not(:empty) {
			position: absolute;
			top: 0;
			left: 0;
			right: 0;
			margin: 20px;
			box-sizing: border-box;
			border: 2px solid #ffe0e1;
			background: #fff0f0;
			color: #ee4a4a;
			padding: .5rem 1rem;
			border-radius: .4em;
			font-weight: semibold;
			font-size: .9rem;
		}
		
		@keyframes fade-in {
			from { opacity: 0; }
		}

		@keyframes fade-out {
			to { opacity: 0; }
		}

		@keyframes slide-from-right {
			from { transform: translateX(5rem); }
		}

		@keyframes slide-to-left {
			to { transform: translateX(-5rem); }
		}

		::view-transition-old(slide-it) {
			animation: 50ms both fade-out,
			150ms both slide-to-left;
		}

		::view-transition-new(slide-it) {
			animation: 50ms both fade-in,
			150ms both slide-from-right;
		}
	</style>

</head>

<body hx-ext="response-targets">
	<div>

	</div>
	<div id="error-fallback"></div>
	{% block body %}{% endblock %}
	{% include 'admin/partials/toaster.html' %}
</body>

</html>
